Bug 8253 - winbindd panics if verify_idpool() fails
winbindd panics if verify_idpool() fails
Status: RESOLVED FIXED
Product: Samba 3.6
Classification: Unclassified
Component: Winbind
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-22 13:33 UTC by Gregor Beck (550 Unknown user)
Modified: 2011-07-04 19:47 UTC (History)
3 users (show)

See Also:


Attachments
patchset for v3-6-test (6.52 KB, patch)
2011-06-22 13:34 UTC, Gregor Beck (550 Unknown user)
obnox: review+
metze: review+
Details
patchset for v3-5-test (6.49 KB, patch)
2011-06-22 13:37 UTC, Gregor Beck (550 Unknown user)
obnox: review+
metze: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gregor Beck (550 Unknown user) 2011-06-22 13:33:09 UTC
if verify_idpool() from idmap ldap backend fails for some reason
(e.g. a missconfigured ldap idmap suffix)
a smbldap_idle event persists which refers to the now deleted 
idmap_alloc_ldap->smbldap_state
Comment 1 Gregor Beck (550 Unknown user) 2011-06-22 13:34:06 UTC
Created attachment 6607 [details]
patchset for v3-6-test
Comment 2 Gregor Beck (550 Unknown user) 2011-06-22 13:37:23 UTC
Created attachment 6608 [details]
patchset for v3-5-test
Comment 3 Stefan Metzmacher 2011-07-01 09:27:24 UTC
Comment on attachment 6607 [details]
patchset for v3-6-test

Looks ok, I'm pushed this also to autobuild
Comment 4 Stefan Metzmacher 2011-07-01 09:28:11 UTC
Comment on attachment 6608 [details]
patchset for v3-5-test

Looks, ok.
Comment 5 Stefan Metzmacher 2011-07-01 09:28:33 UTC
Should we also fix this for 3.4?
Comment 6 Stefan Metzmacher 2011-07-01 09:31:50 UTC
Karolin, please pick for 3.6.0 or 3.6.1 and 3.5.x. (and maybe add the cherry-pick info of the commits which will be in master).
Comment 7 Karolin Seeger 2011-07-04 19:47:36 UTC
Pushed to v3-5-test and v3-6-test.
Closing out bug report.

Thanks!